=== debian/changelog ===
ros-indigo-dji-sdk-demo (0.1.9-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Norman Li <norman.li@dji.com>  Tue, 14 Jun 2016 10:24:50 -0000
